Retrieves the type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
company_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the type |
string |
Required |
| description |
Description of the type |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization |
Response Formats
application/json, text/json
Sample:
{
"id": "02b231bf-c6e4-4419-987a-0da6378a3c60",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "e78d206d-dd67-4426-bb78-a42378ba828e",
"sales_organization_code": "sample string 5"
}